Package com.sap.ai.sdk.core.model

# Class BckndArgoCDApplicationStatus

java.lang.Object
com.sap.ai.sdk.core.model.BckndArgoCDApplicationStatus

public class BckndArgoCDApplicationStatus extends Object
ArgoCD application definition and status

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndArgoCDApplicationStatus()`
  Default constructor for BckndArgoCDApplicationStatus.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndArgoCDApplicationStatus`
  `addSyncResourcesStatusItem(BckndArgoCDApplicationStatusSyncResourcesStatusInner syncResourcesStatusItem)`
  Add one syncResourcesStatus instance to this `BckndArgoCDApplicationStatus`.
  `BckndArgoCDApplicationStatus`
  `addSyncRessourcesStatusItem(BckndArgoCDApplicationStatusSyncResourcesStatusInner syncRessourcesStatusItem)`
  Add one syncRessourcesStatus instance to this `BckndArgoCDApplicationStatus`.
  `static BckndArgoCDApplicationStatus`
  `create()`
  Create a new `BckndArgoCDApplicationStatus` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatus`.
  `String`
  `getHealthStatus()`
  ArgoCD application health status
  `String`
  `getMessage()`
  ArgoCD application health status message
  `String`
  `getReconciledAt()`
  Get timestamp information related to the sync state of the ArgoCD application
  `BckndArgoCDApplicationStatusSource`
  `getSource()`
  Get source
  `String`
  `getSyncFinishedAt()`
  Gets the timestamp information related to the sync state of the ArgoCD application
  `List<BckndArgoCDApplicationStatusSyncResourcesStatusInner>`
  `getSyncResourcesStatus()`
  Status of all resources that need to be synchronized with the gitops repo
  `List<BckndArgoCDApplicationStatusSyncResourcesStatusInner>`
  `getSyncRessourcesStatus()`
  Deprecated.
  `String`
  `getSyncStartedAt()`
  Get timestamp information related to the sync state of the ArgoCD application
  `String`
  `getSyncStatus()`
  ArgoCD application sync status
  `int`
  `hashCode()`
  `BckndArgoCDApplicationStatus`
  `healthStatus(String healthStatus)`
  Set the healthStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `message(String message)`
  Set the message of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `reconciledAt(String reconciledAt)`
  Set the reconciledAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setHealthStatus(String healthStatus)`
  Set the healthStatus of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setMessage(String message)`
  Set the message of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setReconciledAt(String reconciledAt)`
  Set the reconciledAt of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSource(BckndArgoCDApplicationStatusSource source)`
  Set the source of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSyncFinishedAt(String syncFinishedAt)`
  Set the syncFinishedAt of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSyncResourcesStatus(List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncResourcesStatus)`
  Set the syncResourcesStatus of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSyncRessourcesStatus(List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncRessourcesStatus)`
  Set the syncRessourcesStatus of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSyncStartedAt(String syncStartedAt)`
  Set the syncStartedAt of this `BckndArgoCDApplicationStatus` instance.
  `void`
  `setSyncStatus(String syncStatus)`
  Set the syncStatus of this `BckndArgoCDApplicationStatus` instance.
  `BckndArgoCDApplicationStatus`
  `source(BckndArgoCDApplicationStatusSource source)`
  Set the source of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `syncFinishedAt(String syncFinishedAt)`
  Set the syncFinishedAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `syncResourcesStatus(List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncResourcesStatus)`
  Set the syncResourcesStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `syncRessourcesStatus(List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncRessourcesStatus)`
  Set the syncRessourcesStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `syncStartedAt(String syncStartedAt)`
  Set the syncStartedAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `BckndArgoCDApplicationStatus`
  `syncStatus(String syncStatus)`
  Set the syncStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndArgoCDApplicationStatus` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndArgoCDApplicationStatus

    protected BckndArgoCDApplicationStatus()
    Default constructor for BckndArgoCDApplicationStatus.

- ## Method Details

  - ### healthStatus

    @Nonnull public BckndArgoCDApplicationStatus healthStatus(@Nullable String healthStatus)
    Set the healthStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `healthStatus` - ArgoCD application health status
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getHealthStatus

    @Nonnull public String getHealthStatus()
    ArgoCD application health status
    Returns:
      healthStatus The healthStatus of this `BckndArgoCDApplicationStatus` instance.

  - ### setHealthStatus

    public void setHealthStatus(@Nullable String healthStatus)
    Set the healthStatus of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `healthStatus` - ArgoCD application health status

  - ### syncStatus

    @Nonnull public BckndArgoCDApplicationStatus syncStatus(@Nullable String syncStatus)
    Set the syncStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `syncStatus` - ArgoCD application sync status
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getSyncStatus

    @Nonnull public String getSyncStatus()
    ArgoCD application sync status
    Returns:
      syncStatus The syncStatus of this `BckndArgoCDApplicationStatus` instance.

  - ### setSyncStatus

    public void setSyncStatus(@Nullable String syncStatus)
    Set the syncStatus of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `syncStatus` - ArgoCD application sync status

  - ### message

    @Nonnull public BckndArgoCDApplicationStatus message(@Nullable String message)
    Set the message of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `message` - ArgoCD application health status message
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getMessage

    @Nonnull public String getMessage()
    ArgoCD application health status message
    Returns:
      message The message of this `BckndArgoCDApplicationStatus` instance.

  - ### setMessage

    public void setMessage(@Nullable String message)
    Set the message of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `message` - ArgoCD application health status message

  - ### source

    @Nonnull public BckndArgoCDApplicationStatus source(@Nullable BckndArgoCDApplicationStatusSource source)
    Set the source of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `source` - The source of this `BckndArgoCDApplicationStatus`
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getSource

    @Nonnull public BckndArgoCDApplicationStatusSource getSource()
    Get source
    Returns:
      source The source of this `BckndArgoCDApplicationStatus` instance.

  - ### setSource

    public void setSource(@Nullable BckndArgoCDApplicationStatusSource source)
    Set the source of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `source` - The source of this `BckndArgoCDApplicationStatus`

  - ### syncFinishedAt

    @Nonnull public BckndArgoCDApplicationStatus syncFinishedAt(@Nullable String syncFinishedAt)
    Set the syncFinishedAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `syncFinishedAt` - Gets the timestamp information related to the sync state of the ArgoCD application
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getSyncFinishedAt

    @Nonnull public String getSyncFinishedAt()
    Gets the timestamp information related to the sync state of the ArgoCD application
    Returns:
      syncFinishedAt The syncFinishedAt of this `BckndArgoCDApplicationStatus` instance.

  - ### setSyncFinishedAt

    public void setSyncFinishedAt(@Nullable String syncFinishedAt)
    Set the syncFinishedAt of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `syncFinishedAt` - Gets the timestamp information related to the sync state of the ArgoCD application

  - ### syncStartedAt

    @Nonnull public BckndArgoCDApplicationStatus syncStartedAt(@Nullable String syncStartedAt)
    Set the syncStartedAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `syncStartedAt` - Get timestamp information related to the sync state of the ArgoCD application
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getSyncStartedAt

    @Nonnull public String getSyncStartedAt()
    Get timestamp information related to the sync state of the ArgoCD application
    Returns:
      syncStartedAt The syncStartedAt of this `BckndArgoCDApplicationStatus` instance.

  - ### setSyncStartedAt

    public void setSyncStartedAt(@Nullable String syncStartedAt)
    Set the syncStartedAt of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `syncStartedAt` - Get timestamp information related to the sync state of the ArgoCD application

  - ### reconciledAt

    @Nonnull public BckndArgoCDApplicationStatus reconciledAt(@Nullable String reconciledAt)
    Set the reconciledAt of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `reconciledAt` - Get timestamp information related to the sync state of the ArgoCD application
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### getReconciledAt

    @Nonnull public String getReconciledAt()
    Get timestamp information related to the sync state of the ArgoCD application
    Returns:
      reconciledAt The reconciledAt of this `BckndArgoCDApplicationStatus` instance.

  - ### setReconciledAt

    public void setReconciledAt(@Nullable String reconciledAt)
    Set the reconciledAt of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `reconciledAt` - Get timestamp information related to the sync state of the ArgoCD application

  - ### syncResourcesStatus

    @Nonnull public BckndArgoCDApplicationStatus syncResourcesStatus(@Nullable List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncResourcesStatus)
    Set the syncResourcesStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `syncResourcesStatus` - Status of all resources that need to be synchronized with the gitops repo
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### addSyncResourcesStatusItem

    @Nonnull public BckndArgoCDApplicationStatus addSyncResourcesStatusItem(@Nonnull BckndArgoCDApplicationStatusSyncResourcesStatusInner syncResourcesStatusItem)
    Add one syncResourcesStatus instance to this `BckndArgoCDApplicationStatus`.
    Parameters:
      `syncResourcesStatusItem` - The syncResourcesStatus that should be added
    Returns:
      The same instance of type `BckndArgoCDApplicationStatus`

  - ### getSyncResourcesStatus

    @Nonnull public List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> getSyncResourcesStatus()
    Status of all resources that need to be synchronized with the gitops repo
    Returns:
      syncResourcesStatus The syncResourcesStatus of this `BckndArgoCDApplicationStatus` instance.

  - ### setSyncResourcesStatus

    public void setSyncResourcesStatus(@Nullable List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncResourcesStatus)
    Set the syncResourcesStatus of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `syncResourcesStatus` - Status of all resources that need to be synchronized with the gitops repo

  - ### syncRessourcesStatus

    @Nonnull public BckndArgoCDApplicationStatus syncRessourcesStatus(@Nullable List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncRessourcesStatus)
    Set the syncRessourcesStatus of this `BckndArgoCDApplicationStatus` instance and return the same instance.
    Parameters:
      `syncRessourcesStatus` - Status of all resources that need to be synchronized with the gitops repo. Misspelled and deprecated, use syncResourcesStatus instead.
    Returns:
      The same instance of this `BckndArgoCDApplicationStatus` class

  - ### addSyncRessourcesStatusItem

    @Nonnull public BckndArgoCDApplicationStatus addSyncRessourcesStatusItem(@Nonnull BckndArgoCDApplicationStatusSyncResourcesStatusInner syncRessourcesStatusItem)
    Add one syncRessourcesStatus instance to this `BckndArgoCDApplicationStatus`.
    Parameters:
      `syncRessourcesStatusItem` - The syncRessourcesStatus that should be added
    Returns:
      The same instance of type `BckndArgoCDApplicationStatus`

  - ### getSyncRessourcesStatus

    @Deprecated @Nonnull public List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> getSyncRessourcesStatus()
    Deprecated.
    Status of all resources that need to be synchronized with the gitops repo. Misspelled and deprecated, use syncResourcesStatus instead.
    Returns:
      syncRessourcesStatus The syncRessourcesStatus of this `BckndArgoCDApplicationStatus` instance.

  - ### setSyncRessourcesStatus

    public void setSyncRessourcesStatus(@Nullable List<BckndArgoCDApplicationStatusSyncResourcesStatusInner> syncRessourcesStatus)
    Set the syncRessourcesStatus of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `syncRessourcesStatus` - Status of all resources that need to be synchronized with the gitops repo. Misspelled and deprecated, use syncResourcesStatus instead.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatus`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndArgoCDApplicationStatus` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndArgoCDApplicationStatus` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndArgoCDApplicationStatus` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndArgoCDApplicationStatus create()
    Create a new `BckndArgoCDApplicationStatus` instance. No arguments are required.